curl --request GET \
--url https://int-prodtest.m1amdocs.io/slmgw/v1/products/{id}import requests
url = "https://int-prodtest.m1amdocs.io/slmgw/v1/products/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://int-prodtest.m1amdocs.io/slmgw/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/slmgw/v1/products/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/slmgw/v1/products/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-prodtest.m1amdocs.io/slmgw/v1/products/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/slmgw/v1/products/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"object": "Product",
"id": "<string>",
"descriptions": {
"object": "List",
"total_count": 123,
"data": [
{
"object": "ProductDescription",
"language": "<string>",
"description": "<string>"
}
]
},
"status": "Active",
"vid": "<string>",
"created": "<string>",
"tax_classification": "<string>",
"br_tax_category": "Goods",
"default_billing_plan": {
"id": "<string>",
"vid": "<string>",
"object": "BillingPlan",
"created": "<string>",
"description": "<string>",
"status": "Active",
"tax_classification": "<string>",
"br_tax_category": "<string>",
"trial": {
"object": "BillingPlanPeriod",
"type": "Day",
"quantity": 123,
"cycles": 123,
"prices": [
{
"object": "<string>",
"amount": 123,
"currency": "<string>",
"price_list_name": "<string>",
"token_amount": {
"object": "TokenAmount",
"token": {
"object": "Token",
"id": "<string>",
"vid": "<string>",
"description": "<string>"
},
"amount": 123,
"source": "<string>"
}
}
]
},
"periods": [
{
"object": "BillingPlanPeriod",
"type": "Day",
"quantity": 123,
"cycles": 123,
"prices": [
{
"object": "<string>",
"amount": 123,
"currency": "<string>",
"price_list_name": "<string>",
"token_amount": {
"object": "TokenAmount",
"token": {
"object": "Token",
"id": "<string>",
"vid": "<string>",
"description": "<string>"
},
"amount": 123,
"source": "<string>"
}
}
]
}
],
"billing_notification_days": 123,
"trial_end_notification_days": 123,
"skip_initial_billing_notification": true,
"end_of_life": "<string>",
"metadata": {},
"entitlements": [
{
"id": "<string>",
"object": "Entitlement",
"description": "<string>"
}
],
"billing_descriptor": "<string>",
"times_to_run": "<string>",
"entitlements_valid_for": "<string>",
"repeat_every": "<string>",
"season_set": {
"id": "<string>",
"vid": "<string>",
"object": "SeasonSet",
"created": "<string>",
"seasons": [
{
"object": "Season",
"description": "<string>",
"starts": "<string>",
"ends": "<string>"
}
],
"metadata": {}
},
"days_before_season_to_bill": 123,
"days_entitled_before_season": 123,
"days_entitled_after_season": 123,
"entitled_off_season": true,
"used_on_subscriptions": true,
"grace_period_override": 123
},
"default_rate_plan": {
"object": "RatePlan",
"id": "<string>",
"vid": "<string>"
},
"end_of_life": "<string>",
"metadata": {},
"entitlements": {
"object": "List",
"total_count": 123,
"data": [
{
"id": "<string>",
"object": "Entitlement",
"description": "<string>"
}
]
},
"inherited_entitlements": {
"object": "List",
"total_count": 123,
"data": [
{
"id": "<string>",
"object": "Entitlement",
"description": "<string>"
}
]
},
"billing_descriptor": "<string>",
"credit_granted": {
"object": "Credit",
"token_amounts": [
{
"object": "TokenAmount",
"token": {
"object": "Token",
"id": "<string>",
"vid": "<string>",
"description": "<string>"
},
"amount": 123,
"source": "<string>"
}
],
"currency_amounts": [
{
"object": "CurrencyAmount",
"vid": "<string>",
"currency": "<string>",
"amount": 123,
"metadata": {},
"sort_value": 123,
"description": "<string>",
"reason": "<string>",
"granted_by_cashbox": true,
"granted": "<string>",
"account": {
"object": "Account",
"id": "<string>",
"vid": "<string>"
},
"subscription": {
"object": "Subscription",
"id": "<string>",
"vid": "<string>"
}
}
]
},
"prices": {
"object": "List",
"total_count": 123,
"data": [
{
"object": "ProductPrice",
"amount": 123,
"currency": "<string>",
"token": {
"object": "Token",
"id": "<string>",
"vid": "<string>",
"description": "<string>"
}
}
]
},
"bundled_products": "<array>"
}{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}fetch specific product
Retrieves a specific Product.
curl --request GET \
--url https://int-prodtest.m1amdocs.io/slmgw/v1/products/{id}import requests
url = "https://int-prodtest.m1amdocs.io/slmgw/v1/products/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://int-prodtest.m1amdocs.io/slmgw/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/slmgw/v1/products/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/slmgw/v1/products/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-prodtest.m1amdocs.io/slmgw/v1/products/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/slmgw/v1/products/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"object": "Product",
"id": "<string>",
"descriptions": {
"object": "List",
"total_count": 123,
"data": [
{
"object": "ProductDescription",
"language": "<string>",
"description": "<string>"
}
]
},
"status": "Active",
"vid": "<string>",
"created": "<string>",
"tax_classification": "<string>",
"br_tax_category": "Goods",
"default_billing_plan": {
"id": "<string>",
"vid": "<string>",
"object": "BillingPlan",
"created": "<string>",
"description": "<string>",
"status": "Active",
"tax_classification": "<string>",
"br_tax_category": "<string>",
"trial": {
"object": "BillingPlanPeriod",
"type": "Day",
"quantity": 123,
"cycles": 123,
"prices": [
{
"object": "<string>",
"amount": 123,
"currency": "<string>",
"price_list_name": "<string>",
"token_amount": {
"object": "TokenAmount",
"token": {
"object": "Token",
"id": "<string>",
"vid": "<string>",
"description": "<string>"
},
"amount": 123,
"source": "<string>"
}
}
]
},
"periods": [
{
"object": "BillingPlanPeriod",
"type": "Day",
"quantity": 123,
"cycles": 123,
"prices": [
{
"object": "<string>",
"amount": 123,
"currency": "<string>",
"price_list_name": "<string>",
"token_amount": {
"object": "TokenAmount",
"token": {
"object": "Token",
"id": "<string>",
"vid": "<string>",
"description": "<string>"
},
"amount": 123,
"source": "<string>"
}
}
]
}
],
"billing_notification_days": 123,
"trial_end_notification_days": 123,
"skip_initial_billing_notification": true,
"end_of_life": "<string>",
"metadata": {},
"entitlements": [
{
"id": "<string>",
"object": "Entitlement",
"description": "<string>"
}
],
"billing_descriptor": "<string>",
"times_to_run": "<string>",
"entitlements_valid_for": "<string>",
"repeat_every": "<string>",
"season_set": {
"id": "<string>",
"vid": "<string>",
"object": "SeasonSet",
"created": "<string>",
"seasons": [
{
"object": "Season",
"description": "<string>",
"starts": "<string>",
"ends": "<string>"
}
],
"metadata": {}
},
"days_before_season_to_bill": 123,
"days_entitled_before_season": 123,
"days_entitled_after_season": 123,
"entitled_off_season": true,
"used_on_subscriptions": true,
"grace_period_override": 123
},
"default_rate_plan": {
"object": "RatePlan",
"id": "<string>",
"vid": "<string>"
},
"end_of_life": "<string>",
"metadata": {},
"entitlements": {
"object": "List",
"total_count": 123,
"data": [
{
"id": "<string>",
"object": "Entitlement",
"description": "<string>"
}
]
},
"inherited_entitlements": {
"object": "List",
"total_count": 123,
"data": [
{
"id": "<string>",
"object": "Entitlement",
"description": "<string>"
}
]
},
"billing_descriptor": "<string>",
"credit_granted": {
"object": "Credit",
"token_amounts": [
{
"object": "TokenAmount",
"token": {
"object": "Token",
"id": "<string>",
"vid": "<string>",
"description": "<string>"
},
"amount": 123,
"source": "<string>"
}
],
"currency_amounts": [
{
"object": "CurrencyAmount",
"vid": "<string>",
"currency": "<string>",
"amount": 123,
"metadata": {},
"sort_value": 123,
"description": "<string>",
"reason": "<string>",
"granted_by_cashbox": true,
"granted": "<string>",
"account": {
"object": "Account",
"id": "<string>",
"vid": "<string>"
},
"subscription": {
"object": "Subscription",
"id": "<string>",
"vid": "<string>"
}
}
]
},
"prices": {
"object": "List",
"total_count": 123,
"data": [
{
"object": "ProductPrice",
"amount": 123,
"currency": "<string>",
"token": {
"object": "Token",
"id": "<string>",
"vid": "<string>",
"description": "<string>"
}
}
]
},
"bundled_products": "<array>"
}{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Headers
The aggregator organization code. Organization code must be provided either via HTTP header or query parameter. If both are provided, HTTP header will be used.
16Path Parameters
The id or the vid of the Product to retrieve.
Query Parameters
The aggregator organization code. Organization code must be provided either via HTTP header or query parameter. If both are provided, HTTP header will be used.
16A limit on the number of objects to be returned, between 1 and 100.
x >= 1A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.
A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.
Response
OK
The Product object represents a unique aggregator product, with its own pricing, description and entitlement assignments. The API allows you to create, fetch, and update products. You can retrieve individual Product objects, as well as a list of all.
Value is “Product”
Product A unique identifier.
128Language-specific product/service descriptions
Show child attributes
Show child attributes
aggregators may define whether they want to declare a product as available to offer.
Active, Suspended A Globally Unique Identifier (GUID) for this object. This value is generated by MarketONE.
128The date/time the object was created.
The tax classification or code for this product.
Goods, Services Show child attributes
Show child attributes
Rate Plans represents a pre-defined rating schedule - tier-based pricing for rated products (e.g. usage). Both pre-paid (aka License-based) and post-paid (metered, aka usage-based) services use pre-defined tiers to rate recorded events. Rate Plans support flat and per-unit pricing, volume discounts, standard consumption-based prices, included units with overage, and maximum/minimum charge limits.
Show child attributes
Show child attributes
The date/time after which this product should be treated as out-of-service.
A set of key/value pairs that you can attach to an object. Useful for storing additional information.
Show child attributes
Show child attributes
Entitlements granted by active subscriptions using this product on one or more subscription items.
Show child attributes
Show child attributes
If a Product has other products bundled with it, the Entitlements for the Products in the bundle will be returned
Show child attributes
Show child attributes
Optional “soft descriptor” to send to the payment processor for transactions associated with a subscription using this product.
The Credit object represents a service credit granted to an account or subscription, taking the form of either currency, token, or time amounts.
Show child attributes
Show child attributes
Default (i.e. “List”) prices for the product; one price per currency code. Prices can be overridden at purchase or with modification.
Show child attributes
Show child attributes
Other Products considered “bundled” under this one; purchase of this product’s SKU under a single price, grants the entitlements associated with it and with all bundled products (as of the time of creation).
Was this page helpful?

